Teams

The endpoint for the Teams dataset, for defining Teams and Team Membership.

Retrieve multiple Teams based on search criteria passed as GET Arguments

get/team/
Securityapi_key and username
Request
query Parameters
archived
boolean
default
boolean
id
integer <int64>

Quorum ID (Primary Key)

members
Array of integers <int64>

The quorumusers that are associated with this team.

NOTE: Parameter accepts additional qualifiers appended to the end:
members__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

organization_id
integer <int64>

The organization with which this team is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
organization__in - The value for the record is in the provided array parameter (comma-separated values).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.organization - expand organization with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "organization"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

Team retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "default": false,
  • "id": 0,
  • "members": [
    ],
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "resource_uri": "string"
}

Create a single Teams

post/team/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
members
Array of strings <{"id": QUORUM_ID}>

The quorumusers that are associated with this team.

name
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this team is associated.

Responses
200

Team retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "members": [
    ],
  • "name": "string",
  • "organization_id": "string"
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "default": false,
  • "id": 0,
  • "members": [
    ],
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "resource_uri": "string"
}

Retrieve information on a single Team

get/team/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.organization - expand organization with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "organization"
Responses
200

Team retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "default": false,
  • "id": 0,
  • "members": [
    ],
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "resource_uri": "string"
}

Update a single Teams by ID

patch/team/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
members
Array of strings <{"id": QUORUM_ID}>

The quorumusers that are associated with this team.

name
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this team is associated.

Responses
200

Team retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "members": [
    ],
  • "name": "string",
  • "organization_id": "string"
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "default": false,
  • "id": 0,
  • "members": [
    ],
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "resource_uri": "string"
}